import 'package:flutter/material.dart';

import 'package:pweb/pages/loaders/account.dart';
import 'package:pweb/pages/loaders/organization.dart';
import 'package:pweb/pages/loaders/permissions.dart';


class PageViewLoader extends StatelessWidget {
  final Widget child;

  const PageViewLoader({super.key, required this.child});

  @override
  Widget build(BuildContext context) => AccountLoader(
    child: OrganizationLoader(
      child: PermissionsLoader(
        child: child,
      ),
    ),
  );
}

